﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Master Page/GCIForm.Master" AutoEventWireup="true" CodeBehind="AssignDeptUserForm.aspx.cs" Inherits="budgetMonitoringSystem.Forms.AssignDeptUserForm" %>

<%@ Register Assembly="budgetMonitoringSystem" Namespace="budgetMonitoringSystem.BaseControls"
    TagPrefix="cc1" %>
<%@ Register assembly="Infragistics4.Web.v10.3, Version=10.3.20103.1013, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.Web.UI.GridControls" tagprefix="ig" %>
<asp:Content ID="Content1" ContentPlaceHolderID="FormSection" runat="server">
    <div class="formContainer">
        <table style="table-layout: fixed;">
            <thead>
                <cc1:BaseFormLabel ID="lblDeptCode" runat="server" Text="Department:"></cc1:BaseFormLabel>
            </thead>
            <tr>
                <td style="width: 490px;"><cc1:BaseInstruction ID="BaseInstruction1" runat="server" Text="Please select from the unassigned users that you would like to add to the current users for this department then click 'Assign' button to assign the users."></cc1:BaseInstruction></td>
                <td style="width: 50px;">&nbsp;</td>
                <td style="width: 490px;"><cc1:BaseInstruction ID="BaseInstruction2" runat="server" Text="Please select from the assigned users that you would like to remove from the current users for this department then click 'Un-assign' button to remove the users."></cc1:BaseInstruction></td>
            </tr>                
            <tr>
                <td>
                    <cc1:BaseFieldLabel ID="BaseFieldLabel1" runat="server" Text="Unassigned User/s:" CssClass="labelClassLeft"></cc1:BaseFieldLabel>
                </td>
                <td>&nbsp;</td>
                <td>
                    <cc1:BaseFieldLabel ID="BaseFieldLabel2" runat="server" Text="Current User/s:" CssClass="labelClassLeft"></cc1:BaseFieldLabel>
                </td>
            </tr>
            <tr>
                <td>
                    <div class="gridContainerClass">
                        <cc1:BaseGrid ID="grdUnassigned" runat="server" BorderStyle="None" 
                            Width="95%" AutoGenerateColumns="False" CssClass="textClass" 
                             HeaderCaptionCssClass="leftHeaderClass" EnableDataViewState="true"
                            StyleSetName="Trendy">
                            <Columns>
                                <ig:TemplateDataField Key="IncludeFlag" Width="20px">
                                    <ItemTemplate>
                                        <cc1:BaseCheckBox ID="chkInclude" runat="server" Checked='<%# DataBinder.Eval(((Infragistics.Web.UI.TemplateContainer)Container).DataItem, "IncludeFlag") %>' />                                    
                                    </ItemTemplate>
                                </ig:TemplateDataField>
                                <ig:BoundDataField DataFieldName="UserId" Key="UserId" Width="120px">
                                    <header text="User ID" />
                                </ig:BoundDataField>
                                <ig:BoundDataField DataFieldName="UserName" Key="UserName">
                                    <header text="User Name" />
                                </ig:BoundDataField>
                            </Columns>
                            <Behaviors>
                                <ig:Sorting Enabled="true">
                                </ig:Sorting>
                                <ig:Filtering Alignment="Top" Enabled="true">
                                </ig:Filtering>
                                <ig:Selection CellClickAction="Row" RowSelectType="Single">
                                </ig:Selection>
                                <ig:RowSelectors>
                                </ig:RowSelectors>
                            </Behaviors>
                        </cc1:BaseGrid>
                    </div>                    
                </td>
                <td>&nbsp;</td>
                <td>
                    <div class="gridContainerClass">
                        <cc1:BaseGrid ID="grdAssigned" runat="server" BorderStyle="None" 
                            Width="95%" AutoGenerateColumns="False" CssClass="textClass" 
                             HeaderCaptionCssClass="leftHeaderClass" EnableDataViewState="true"
                            StyleSetName="Trendy">
                            <Columns>
                                <ig:TemplateDataField Key="IncludeFlag" Width="20px">
                                    <ItemTemplate>
                                        <cc1:BaseCheckBox ID="chkInclude" runat="server" Checked='<%# DataBinder.Eval(((Infragistics.Web.UI.TemplateContainer)Container).DataItem, "IncludeFlag") %>' />                                    
                                    </ItemTemplate>
                                </ig:TemplateDataField>
                                <ig:BoundDataField DataFieldName="UserId" Key="UserId" Width="120px">
                                    <header text="User ID" />
                                </ig:BoundDataField>
                                <ig:BoundDataField DataFieldName="UserName" Key="UserName">
                                    <header text="User Name" />
                                </ig:BoundDataField>
                            </Columns>
                            <Behaviors>
                                <ig:Sorting Enabled="true">
                                </ig:Sorting>
                                <ig:Filtering Alignment="Top" Enabled="true">
                                </ig:Filtering>
                                <ig:Selection CellClickAction="Row" RowSelectType="Single">
                                </ig:Selection>
                                <ig:RowSelectors>
                                </ig:RowSelectors>
                            </Behaviors>
                        </cc1:BaseGrid>
                    </div>                    
                </td>
            </tr>
            <tr>
                <td>
                    <cc1:BaseButton ID="btnSelectUnassigned" runat="server" Text="Select All" 
                        onclick="btnSelectUnassigned_Click" />
                    <cc1:BaseButton ID="btnDeselectUnassigned" runat="server" Text="Deselect All" 
                        onclick="btnDeselectUnassigned_Click" />
                </td>
                <td>&nbsp;</td>
                <td>
                    <cc1:BaseButton ID="btnSelectAssigned" runat="server" Text="Select All" 
                        onclick="btnSelectAssigned_Click" />
                    <cc1:BaseButton ID="btnDeselectAssigned" runat="server" Text="Deselect All" 
                        onclick="btnDeselectAssigned_Click" />
                </td>
            </tr>
        </table>            
        <cc1:BaseHiddenField ID="hidClassId" runat="server" />
        <cc1:BaseHiddenField ID="hidClassType" runat="server" />
        <cc1:BaseHiddenField ID="hidClassName" runat="server" />    
        <cc1:BaseHiddenField ID="hidClassCode" runat="server" />
        <cc1:BaseHiddenField ID="hidClassDesc" runat="server" />
        <cc1:BaseHiddenField ID="hidPageMode" runat="server" />
    </div>
    <div class="buttonSection">
        <cc1:BaseButton ID="btnAssign" runat="server" Text = "Assign Selected User/s" 
            Width="150px" onclick="btnAssign_Click" />
        <cc1:BaseButton ID="btnRemove" runat="server" Text = "Un-assign Selected User/s" 
            Width="150px" onclick="btnRemove_Click" />
        <cc1:BaseButton ID="btnSave" runat="server" Text = "Save" 
            onclick="btnSave_Click" />
        <cc1:BaseButton ID="btnCancel" runat="server" Text = "Cancel" 
            onclick="btnCancel_Click" />
    </div>
</asp:Content>
